diff --git a/src/main/java/net/minecraft/core/block/BlockLayerBase.java b/src/main/java/net/minecraft/core/block/BlockLayerBase.java
index c5e64424f..8c986ae15 100644
--- a/src/main/java/net/minecraft/core/block/BlockLayerBase.java
+++ b/src/main/java/net/minecraft/core/block/BlockLayerBase.java
@@ -7,11 +7,6 @@ import net.minecraft.core.world.WorldSource;
 
 import java.util.function.Supplier;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, AxisAlignedBB, 
-//            IBlockAccess, Item, EntityItem, ItemStack,
-//            StatList, Player, EnumSkyBlock
-
 public abstract class BlockLayerBase extends Block
 {
     private Supplier<Integer> idSupplier = () -> -1;
diff --git a/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java b/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java
index 7e4d56ecc..1dacf8349 100644
--- a/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java
+++ b/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.block;
 
-
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
@@ -11,11 +10,6 @@ import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, AxisAlignedBB, 
-//            IBlockAccess, Item, EntityItem, ItemStack,
-//            StatList, Player, EnumSkyBlock
-
 public class BlockLayerLeaves extends BlockLayerBase
 {
     public static final int MASK_PERMANENT = 0b1000_0000;
diff --git a/src/main/java/net/minecraft/core/block/BlockLayerSnow.java b/src/main/java/net/minecraft/core/block/BlockLayerSnow.java
index 3849499c3..585600eae 100644
--- a/src/main/java/net/minecraft/core/block/BlockLayerSnow.java
+++ b/src/main/java/net/minecraft/core/block/BlockLayerSnow.java
@@ -12,11 +12,6 @@ import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, AxisAlignedBB, 
-//            IBlockAccess, Item, EntityItem, ItemStack,
-//            StatList, Player, EnumSkyBlock
-
 public class BlockLayerSnow extends BlockLayerBase
 {
 
@@ -102,7 +97,7 @@ public class BlockLayerSnow extends BlockLayerBase
             dropBlockWithCause(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), null, null);
 			world.setBlockWithNotify(x, y, z, 0);
 		}
-        if(world.getBlockBiome(x, y, z) != null && !world.getBlockBiome(x, y, z).hasSurfaceSnow() && world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().letWeatherCleanUpSnow)
+        if(!world.getBlockBiome(x, y, z).hasSurfaceSnow() && world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().letWeatherCleanUpSnow)
         {
             dropBlockWithCause(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), null, null);
             world.setBlockWithNotify(x, y, z, 0);
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesBase.java b/src/main/java/net/minecraft/core/block/BlockLeavesBase.java
index 165a70e13..a0a1277fe 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesBase.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesBase.java
@@ -14,9 +14,6 @@ import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.season.Season;
 import org.jetbrains.annotations.Nullable;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, IBlockAccess, Material
-
 public abstract class BlockLeavesBase extends Block
 {
     public static final int MASK_DECAY_DATA = 0b0000_1111;
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesBirch.java b/src/main/java/net/minecraft/core/block/BlockLeavesBirch.java
index 84281eec2..e7ea149ff 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesBirch.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesBirch.java
@@ -2,12 +2,6 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess,
-//            WorldChunkManager, World, Block, Player,
-//            ItemStack, Item, ItemShears, StatList, 
-//            Entity
-
 public class BlockLeavesBirch extends BlockLeavesBase
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java b/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
index 57e707f5e..7586cca01 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
@@ -6,12 +6,6 @@ import net.minecraft.core.world.season.Seasons;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess,
-//            WorldChunkManager, World, Block, Player,
-//            ItemStack, Item, ItemShears, StatList, 
-//            Entity
-
 public class BlockLeavesCherry extends BlockLeavesBase
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java b/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java
index ace4ab8d5..90c2efb10 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java
@@ -5,12 +5,6 @@ import net.minecraft.core.block.material.Material;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess,
-//            WorldChunkManager, World, Block, Player,
-//            ItemStack, Item, ItemShears, StatList, 
-//            Entity
-
 public class BlockLeavesEucalyptus extends BlockLeavesBase
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesOak.java b/src/main/java/net/minecraft/core/block/BlockLeavesOak.java
index 5c41efdbf..5426f8027 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesOak.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesOak.java
@@ -6,12 +6,6 @@ import net.minecraft.core.world.wind.WindProvider;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess,
-//            WorldChunkManager, World, Block, Player,
-//            ItemStack, Item, ItemShears, StatList, 
-//            Entity
-
 public class BlockLeavesOak extends BlockLeavesBase
 {
 	public BlockLeavesOak(String key, String namespaceId, int id)
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesPine.java b/src/main/java/net/minecraft/core/block/BlockLeavesPine.java
index 59b825eed..91102df67 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesPine.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesPine.java
@@ -6,12 +6,6 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 import net.minecraft.core.block.material.Material;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess,
-//            WorldChunkManager, World, Block, Player,
-//            ItemStack, Item, ItemShears, StatList, 
-//            Entity
-
 public class BlockLeavesPine extends BlockLeavesBase
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesShrub.java b/src/main/java/net/minecraft/core/block/BlockLeavesShrub.java
index 25a65f5f3..92b3f9e93 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesShrub.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesShrub.java
@@ -5,12 +5,6 @@ import net.minecraft.core.block.material.Material;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess,
-//            WorldChunkManager, World, Block, Player,
-//            ItemStack, Item, ItemShears, StatList,
-//            Entity
-
 public class BlockLeavesShrub extends BlockLeavesBase
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockMesh.java b/src/main/java/net/minecraft/core/block/BlockMesh.java
index 41b2e5072..b3234266a 100644
--- a/src/main/java/net/minecraft/core/block/BlockMesh.java
+++ b/src/main/java/net/minecraft/core/block/BlockMesh.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.block;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material
-
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityItem;
diff --git a/src/main/java/net/minecraft/core/block/BlockMotionSensor.java b/src/main/java/net/minecraft/core/block/BlockMotionSensor.java
index 8e46f86b9..7f9756446 100644
--- a/src/main/java/net/minecraft/core/block/BlockMotionSensor.java
+++ b/src/main/java/net/minecraft/core/block/BlockMotionSensor.java
@@ -13,10 +13,6 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, Item,
-//            Player, Entity
-
 public class BlockMotionSensor extends BlockTileEntityVeryRotatable
 {
     public final boolean isActive;
diff --git a/src/main/java/net/minecraft/core/block/BlockMushroom.java b/src/main/java/net/minecraft/core/block/BlockMushroom.java
index 6dbe3bc43..9d7383156 100644
--- a/src/main/java/net/minecraft/core/block/BlockMushroom.java
+++ b/src/main/java/net/minecraft/core/block/BlockMushroom.java
@@ -4,9 +4,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, Block
-
 public class BlockMushroom extends BlockFlower
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockOreCoal.java b/src/main/java/net/minecraft/core/block/BlockOreCoal.java
index 2e212cf41..4ba57e030 100644
--- a/src/main/java/net/minecraft/core/block/BlockOreCoal.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreCoal.java
@@ -10,9 +10,6 @@ import net.minecraft.core.world.World;
 import java.util.HashMap;
 import java.util.Map;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, Item
-
 public class BlockOreCoal extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
diff --git a/src/main/java/net/minecraft/core/block/BlockOreDiamond.java b/src/main/java/net/minecraft/core/block/BlockOreDiamond.java
index 172becdc1..56f61dd6a 100644
--- a/src/main/java/net/minecraft/core/block/BlockOreDiamond.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreDiamond.java
@@ -10,9 +10,6 @@ import net.minecraft.core.world.World;
 import java.util.HashMap;
 import java.util.Map;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, Item
-
 public class BlockOreDiamond extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
diff --git a/src/main/java/net/minecraft/core/block/BlockOreRedstone.java b/src/main/java/net/minecraft/core/block/BlockOreRedstone.java
index 92ea40c37..188e28b22 100644
--- a/src/main/java/net/minecraft/core/block/BlockOreRedstone.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreRedstone.java
@@ -15,10 +15,6 @@ import java.util.Map;
 import java.util.Random;
 import java.util.function.Supplier;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, Item, 
-//            Player, Entity
-
 public class BlockOreRedstone extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
diff --git a/src/main/java/net/minecraft/core/block/BlockPathDirt.java b/src/main/java/net/minecraft/core/block/BlockPathDirt.java
index 81fda1d8a..19b8f929f 100644
--- a/src/main/java/net/minecraft/core/block/BlockPathDirt.java
+++ b/src/main/java/net/minecraft/core/block/BlockPathDirt.java
@@ -7,10 +7,6 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
-//updated
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, AxisAlignedBB, World,
-//            Entity
 
 public class BlockPathDirt extends Block
 {
diff --git a/src/main/java/net/minecraft/core/block/BlockPortal.java b/src/main/java/net/minecraft/core/block/BlockPortal.java
index fe010dbc8..5b38bb027 100644
--- a/src/main/java/net/minecraft/core/block/BlockPortal.java
+++ b/src/main/java/net/minecraft/core/block/BlockPortal.java
@@ -16,10 +16,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockBreakable, Material, IBlockAccess, World, 
-//            Block, BlockFire, Entity, AxisAlignedBB
-
 public class BlockPortal extends BlockTransparent implements IPainted
 {
     public static final int MAX_PORTAL_SIZE = 32;
diff --git a/src/main/java/net/minecraft/core/block/BlockPumpkin.java b/src/main/java/net/minecraft/core/block/BlockPumpkin.java
index faec7f541..ea902c242 100644
--- a/src/main/java/net/minecraft/core/block/BlockPumpkin.java
+++ b/src/main/java/net/minecraft/core/block/BlockPumpkin.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.block;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, Mob,
-//            MathHelper
-
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.material.MaterialColor;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/block/BlockSand.java b/src/main/java/net/minecraft/core/block/BlockSand.java
index 748f7b1af..66e9fd101 100644
--- a/src/main/java/net/minecraft/core/block/BlockSand.java
+++ b/src/main/java/net/minecraft/core/block/BlockSand.java
@@ -7,10 +7,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, EntityFallingBlock,
-//            BlockFire
-
 public class BlockSand extends Block
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingBase.java b/src/main/java/net/minecraft/core/block/BlockSaplingBase.java
index 3f11ee255..37e9ef662 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingBase.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingBase.java
@@ -10,10 +10,6 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public abstract class BlockSaplingBase extends BlockFlower implements IBonemealable
 {
 	public boolean canGrowOnSand = false;
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingBirch.java b/src/main/java/net/minecraft/core/block/BlockSaplingBirch.java
index 7545f9390..9b92072a0 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingBirch.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingBirch.java
@@ -6,10 +6,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public class BlockSaplingBirch extends BlockSaplingBase
 {
 
@@ -22,13 +18,12 @@ public class BlockSaplingBirch extends BlockSaplingBase
     @Override
 	public void growTree(World world, int x, int y, int z, Random random)
     {
-    	Object obj = null;
 
-    	world.setBlock(x, y, z, 0);
+        world.setBlock(x, y, z, 0);
 
-    	obj = new WorldFeatureTree(Blocks.LEAVES_BIRCH.id, Blocks.LOG_BIRCH.id, 5);
+        WorldFeature tree = new WorldFeatureTree(Blocks.LEAVES_BIRCH.id, Blocks.LOG_BIRCH.id, 5);
 
-        if(!((WorldFeature) (obj)).place(world, random, x, y, z))
+        if(!tree.place(world, random, x, y, z))
         {
             world.setBlock(x, y, z, id);
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingCherry.java b/src/main/java/net/minecraft/core/block/BlockSaplingCherry.java
index 1c45f2f8a..2da2ab4a8 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingCherry.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingCherry.java
@@ -7,10 +7,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeCherry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancy;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public class BlockSaplingCherry extends BlockSaplingBase
 {
 
@@ -22,13 +18,13 @@ public class BlockSaplingCherry extends BlockSaplingBase
     @Override
 	public void growTree(World world, int x, int y, int z, Random random)
     {
-        Object treeBig  = new WorldFeatureTreeFancy(Blocks.LEAVES_CHERRY.id, Blocks.LOG_CHERRY.id);
-        Object treeSmall = new WorldFeatureTreeCherry(Blocks.LEAVES_CHERRY.id, Blocks.LOG_CHERRY.id, 4);
+        WorldFeature treeBig  = new WorldFeatureTreeFancy(Blocks.LEAVES_CHERRY.id, Blocks.LOG_CHERRY.id);
+        WorldFeature treeSmall = new WorldFeatureTreeCherry(Blocks.LEAVES_CHERRY.id, Blocks.LOG_CHERRY.id, 4);
         world.setBlock(x, y, z, 0);
 
-        if(!((WorldFeature) (treeSmall)).place(world, random, x, y, z))
+        if(!treeSmall.place(world, random, x, y, z))
         {
-            if(!((WorldFeature) (treeBig)).place(world, random, x, y, z)) {
+            if(!treeBig.place(world, random, x, y, z)) {
                 world.setBlock(x, y, z, id);
             }
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingEucalyptus.java b/src/main/java/net/minecraft/core/block/BlockSaplingEucalyptus.java
index bb98975f9..db7174b2b 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingEucalyptus.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingEucalyptus.java
@@ -6,10 +6,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public class BlockSaplingEucalyptus extends BlockSaplingBase
 {
 
@@ -21,13 +17,12 @@ public class BlockSaplingEucalyptus extends BlockSaplingBase
     @Override
 	public void growTree(World world, int x, int y, int z, Random random)
     {
-    	WorldFeature obj = null;
-        
-    	world.setBlock(x, y, z, 0);
-        
-        obj = new WorldFeatureTreeEucalyptus(Blocks.LEAVES_EUCALYPTUS.id, Blocks.LOG_EUCALYPTUS.id);
-        obj.init(1.0D, 1.0D, 1.0D);
-        if(!obj.place(world, random, x, y, z))
+
+        world.setBlock(x, y, z, 0);
+
+        WorldFeature tree = new WorldFeatureTreeEucalyptus(Blocks.LEAVES_EUCALYPTUS.id, Blocks.LOG_EUCALYPTUS.id);
+        tree.init(1.0D, 1.0D, 1.0D);
+        if(!tree.place(world, random, x, y, z))
         {
             world.setBlock(x, y, z, id);
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingOak.java b/src/main/java/net/minecraft/core/block/BlockSaplingOak.java
index e359156e6..3e4cacce2 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingOak.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingOak.java
@@ -7,10 +7,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public class BlockSaplingOak extends BlockSaplingBase
 {
 
@@ -22,13 +18,13 @@ public class BlockSaplingOak extends BlockSaplingBase
     @Override
 	public void growTree(World world, int x, int y, int z, Random random)
     {
-    	Object treeBig = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id);
-        Object treeSmall = new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 4);
+    	WorldFeature treeBig = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id);
+        WorldFeature treeSmall = new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 4);
     	world.setBlock(x, y, z, 0);
 
-        if(!((WorldFeature) (treeSmall)).place(world, random, x, y, z))
+        if(!treeSmall.place(world, random, x, y, z))
         {
-            if(!((WorldFeature) (treeBig)).place(world, random, x, y, z)) {
+            if(!treeBig.place(world, random, x, y, z)) {
                 world.setBlock(x, y, z, id);
             }
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingPine.java b/src/main/java/net/minecraft/core/block/BlockSaplingPine.java
index 3e66bae0e..f783e9865 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingPine.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingPine.java
@@ -7,10 +7,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public class BlockSaplingPine extends BlockSaplingBase
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingRetro.java b/src/main/java/net/minecraft/core/block/BlockSaplingRetro.java
index 0e553cd7e..24e2c885b 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingRetro.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingRetro.java
@@ -7,10 +7,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public class BlockSaplingRetro extends BlockSaplingBase
 {
 
@@ -23,13 +19,13 @@ public class BlockSaplingRetro extends BlockSaplingBase
     @Override
 	public void growTree(World world, int x, int y, int z, Random random)
     {
-        Object treeBig  = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id);
-        Object treeSmall = new WorldFeatureTree(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id, 4);
+        WorldFeature treeBig  = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id);
+        WorldFeature treeSmall = new WorldFeatureTree(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id, 4);
         world.setBlock(x, y, z, 0);
 
-        if(!((WorldFeature) (treeSmall)).place(world, random, x, y, z))
+        if(!treeSmall.place(world, random, x, y, z))
         {
-            if(!((WorldFeature) (treeBig)).place(world, random, x, y, z)) {
+            if(!treeBig.place(world, random, x, y, z)) {
                 world.setBlock(x, y, z, id);
             }
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingShrub.java b/src/main/java/net/minecraft/core/block/BlockSaplingShrub.java
index defa974ab..4a329f5e7 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingShrub.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingShrub.java
@@ -6,10 +6,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
-//            WorldGenTrees, WorldGenBigTree, WorldGenerator
-
 public class BlockSaplingShrub extends BlockSaplingBase
 {
 
@@ -21,13 +17,12 @@ public class BlockSaplingShrub extends BlockSaplingBase
     @Override
 	public void growTree(World world, int x, int y, int z, Random random)
     {
-    	Object obj = null;
-        
-    	world.setBlock(x, y, z, 0);
-        
-    	obj = new WorldFeatureTreeShrub(Blocks.LEAVES_SHRUB.id, Blocks.LOG_OAK.id);
+
+        world.setBlock(x, y, z, 0);
+
+        WorldFeature tree = new WorldFeatureTreeShrub(Blocks.LEAVES_SHRUB.id, Blocks.LOG_OAK.id);
         
-        if(!((WorldFeature) (obj)).place(world, random, x, y, z))
+        if(!tree.place(world, random, x, y, z))
         {
             world.setBlock(x, y, z, id);
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockSaplingThorn.java b/src/main/java/net/minecraft/core/block/BlockSaplingThorn.java
index 25a8bdb33..59ba350e7 100644
--- a/src/main/java/net/minecraft/core/block/BlockSaplingThorn.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingThorn.java
@@ -18,10 +18,9 @@ public class BlockSaplingThorn extends BlockSaplingBase
     @Override
     public void growTree(World world, int x, int y, int z, Random random)
     {
-        WorldFeature treeFeature = null;
 
         world.setBlock(x, y, z, 0);
-        treeFeature = new WorldFeatureTreeThorn(1, Blocks.LOG_THORN.id, 0, Blocks.LEAVES_THORN.id, 0);
+        WorldFeature treeFeature = new WorldFeatureTreeThorn(1, Blocks.LOG_THORN.id, 0, Blocks.LEAVES_THORN.id, 0);
 
         if(!treeFeature.place(world, random, x, y, z))
         {
diff --git a/src/main/java/net/minecraft/core/block/BlockSlab.java b/src/main/java/net/minecraft/core/block/BlockSlab.java
index 2c410d618..9bce7fba7 100644
--- a/src/main/java/net/minecraft/core/block/BlockSlab.java
+++ b/src/main/java/net/minecraft/core/block/BlockSlab.java
@@ -18,9 +18,6 @@ import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, IBlockAccess
-
 public class BlockSlab extends Block
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockSnow.java b/src/main/java/net/minecraft/core/block/BlockSnow.java
index 12f55c4cc..1edae8d5c 100644
--- a/src/main/java/net/minecraft/core/block/BlockSnow.java
+++ b/src/main/java/net/minecraft/core/block/BlockSnow.java
@@ -10,10 +10,6 @@ import net.minecraft.core.block.material.Material;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, Item, EnumSkyBlock, 
-//            World
-
 public class BlockSnow extends Block
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockSoulSand.java b/src/main/java/net/minecraft/core/block/BlockSoulSand.java
index 4772523d2..3086d2d15 100644
--- a/src/main/java/net/minecraft/core/block/BlockSoulSand.java
+++ b/src/main/java/net/minecraft/core/block/BlockSoulSand.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.block;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, AxisAlignedBB, Entity, 
-//            World
-
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.block.material.Material;
diff --git a/src/main/java/net/minecraft/core/block/BlockSpinifex.java b/src/main/java/net/minecraft/core/block/BlockSpinifex.java
index 7e428a88a..d8d413723 100644
--- a/src/main/java/net/minecraft/core/block/BlockSpinifex.java
+++ b/src/main/java/net/minecraft/core/block/BlockSpinifex.java
@@ -5,9 +5,6 @@ import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, Block
-
 public class BlockSpinifex extends BlockFlower
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockSponge.java b/src/main/java/net/minecraft/core/block/BlockSponge.java
index a016fbc3b..37a3a523a 100644
--- a/src/main/java/net/minecraft/core/block/BlockSponge.java
+++ b/src/main/java/net/minecraft/core/block/BlockSponge.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.block;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World
-
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Side;
diff --git a/src/main/java/net/minecraft/core/block/BlockStairs.java b/src/main/java/net/minecraft/core/block/BlockStairs.java
index 55cec6b5f..f132a8296 100644
--- a/src/main/java/net/minecraft/core/block/BlockStairs.java
+++ b/src/main/java/net/minecraft/core/block/BlockStairs.java
@@ -18,11 +18,6 @@ import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, World, Mob, MathHelper,
-//            IBlockAccess, AxisAlignedBB, Player, Entity,
-//            Vec3D
-
 public class BlockStairs extends Block
 {
 //    private static final Map<Integer, BoundingVolume> selectionVolumes = new HashMap<>();
diff --git a/src/main/java/net/minecraft/core/block/BlockSugarcane.java b/src/main/java/net/minecraft/core/block/BlockSugarcane.java
index dd13cbcc9..29df647a7 100644
--- a/src/main/java/net/minecraft/core/block/BlockSugarcane.java
+++ b/src/main/java/net/minecraft/core/block/BlockSugarcane.java
@@ -16,10 +16,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, GrassBlock,
-//            Item, AxisAlignedBB
-
 public class BlockSugarcane extends Block implements IBonemealable
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockTallGrass.java b/src/main/java/net/minecraft/core/block/BlockTallGrass.java
index 63d3fb2e8..8ea97d60a 100644
--- a/src/main/java/net/minecraft/core/block/BlockTallGrass.java
+++ b/src/main/java/net/minecraft/core/block/BlockTallGrass.java
@@ -1,16 +1,11 @@
 package net.minecraft.core.block;
 
-
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.MaterialColor;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, IBlockAccess, WorldChunkManager, ColorizerGrass,
-//            Item
-
 public class BlockTallGrass extends BlockFlower
 {
 	public BlockTallGrass(String key, String namespaceId, int id)
@@ -24,7 +19,7 @@ public class BlockTallGrass extends BlockFlower
     @Override
     protected boolean mayPlaceOn(int blockId) {
     	Block block = Block.getBlock(blockId);
-    	if(block != null && block instanceof BlockMoss) {
+    	if(block instanceof BlockMoss) {
     		return true;
     	}
     	return super.mayPlaceOn(blockId);
diff --git a/src/main/java/net/minecraft/core/block/BlockTileEntity.java b/src/main/java/net/minecraft/core/block/BlockTileEntity.java
index 0db0790b0..2ef0bc440 100644
--- a/src/main/java/net/minecraft/core/block/BlockTileEntity.java
+++ b/src/main/java/net/minecraft/core/block/BlockTileEntity.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.block;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Block, World, Material, TileEntity
-
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
